%define _legacy_common_support 1
%define api 0.4
%define major 0
%define libname %mklibname visual %api %major
%define develname %mklibname -d visual

Name: libvisual
Version: 0.4.0
Release: %mkrel 24
Summary: Audio visualisation framework
Source0: %{name}-%{version}.tar.bz2
Patch0: libvisual-0.4.0-fix-str-fmt.patch
Patch1: libvisual-0.4.0-inlinedefineconflict.patch
License: LGPLv2+
Group: System/Libraries
Url: http://localhost.nl/~synap/libvisual

%description
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

#--------------------------------------------------------------------

%package -n %libname
Group: System/Libraries
Summary: Shared library of the audio visualisation framework
Provides: %name = %version-%release
Obsoletes: libvisual-plugins < 0.4.0
Obsoletes: %{_lib}visual0 < 0.4.0-21
Recommends: libvisual-plugins

%description -n %libname
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

%files -n %libname -f %name-%{api}.lang
%doc README NEWS TODO ChangeLog AUTHORS
%_libdir/libvisual-%{api}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %develname
Group: Development/C
Summary: Header files of the audio visualisation framework
Requires: %libname = %version
Provides: libvisual-devel = %version-%release
Obsoletes: %{_lib}visual0-devel < %version-%release

%description -n %develname
Libvisual is a library that acts as a middle layer between
applications that want audio visualisation and audio visualisation
plugins.

Libvisual is aimed at developers who have a need for audio
visualisation and those who actually write the visualisation plugins.

%files -n %develname
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%find_lang %name-%{api}

find %buildroot -name '*.la' -delete


%changelog
* Tue Aug 04 2020 joequant <joequant> 0.4.0-24.mga8
+ Revision: 1610999
- redo deps
- fix build

* Tue Feb 11 2020 umeabot <umeabot> 0.4.0-22.mga8
+ Revision: 1489137
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 11 2018 wally <wally> 0.4.0-21.mga7
+ Revision: 1258462
- fix lib pkg name
- add patch to fix defining inline

* Sun Jun 03 2018 wally <wally> 0.4.0-20.mga7
+ Revision: 1234012
- drop old conflicts
- use new make macros
- fix build on aarch64

* Wed Feb 03 2016 umeabot <umeabot> 0.4.0-18.mga6
+ Revision: 933135
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-17.mga5
+ Revision: 743571
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-16.mga5
+ Revision: 681845
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-15.mga4
+ Revision: 507443
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.0-14.mga3
+ Revision: 358378
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 21 2011 fwang <fwang> 0.4.0-13.mga2
+ Revision: 146367
- drop .la files

* Fri Jan 14 2011 dmorgan <dmorgan> 0.4.0-12.mga1
+ Revision: 17716
- Get rid of mdv macros
- imported package libvisual

